Bug 47437 - add a way to report missing words in the spell checker
Summary: add a way to report missing words in the spell checker
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-03-17 06:10 UTC by Amir E. Aharoni
Modified: 2017-11-14 08:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Amir E. Aharoni 2012-03-17 06:10:26 UTC
When the spell checker finds a word that it doesn't recognize, it marks it in red. I can right-click it and then i can do "Add to dictionary". This option adds the word to my local private dictionary.

There should also be an option to not just add the word to my private dictionary, but also to report the word to the maintainer of the dictionary. This is especially important for  languages which are not as major as English and French. The spelling dictionary for them is far from being complete, so they can benefit from crowd-sourcing the reporting of missing words.
Comment 1 Urmas 2012-03-17 18:23:37 UTC
Because most dictionaries are abandoned, or have underqualified maintainers, this feature will not have any practical effect.
Comment 2 Amir E. Aharoni 2012-03-18 01:27:59 UTC
(In reply to comment #1)
> Because most dictionaries are abandoned, or have underqualified maintainers,
> this feature will not have any practical effect.

Yes, many aren't maintained well, but they also have inadequate bug reporting tools. Almost everyone can report a bug in a spelling dictionary, but almost nobody would bother to open Bugzilla for that. It must be as easy as clicking "Add to dictionary", but currently even if you report it to Bugzilla, it probably won't be handled - the user would have to search for the maintainer's email manually. If you give users the right spelling bug reporting tools and if you give the maintainers the right tools to manage these reports, it won't be abandoned any more.
Comment 3 Samuel Mehrbrodt (CIB) 2013-10-03 08:56:18 UTC
You can find a list of dictionary maintainers here: https://wiki.documentfoundation.org/Development/Dictionaries

I don't think it's realistic to have an automatic reporting system since the dictionaries are scattered in so many places.
Comment 4 Kruno 2016-04-06 19:52:10 UTC
Well there is a list of maintainers...

It doesn't have to be complicated: right click to misspelled word already opens context menu for suggestions and such. So it could be an entry "Report word to a maintainer" and that could send an automated email with missing word... LO knows which language is checking and it could cross-reference with that list (by web or locally as xml that comes with installation).

LO can send mail directly in case of mail merge, maybe that could be used for reporting words as well? Or it can open in dedicated e-mail client with automated message and such.

I know this bug is old and it's probably still hard work to do that, but couldn't help myself.
Comment 5 Kruno 2016-04-07 16:23:35 UTC
(In reply to Kruno from comment #4)
> and that could send an automated email with missing
> word... 

On the second thought - that's very bed idea.
Comment 6 Drew Henry 2017-11-14 07:56:25 UTC
Is it alright if I highjack this report? I am also interested in this topic. Currently it seems like there are barely any math/physics words in the dictionary and I am struggling to even find out where to go to bring up this concern.

(Examples: phonon, bijection/surjection, Brillouin, cohomology/homology, contravariant/covariant, diamagnetism, functor, graphene, graviton, ferromagnetism, Hermitian, quaternion, quantization, permittivity, nanotube, Laplacian, isomorphism)
Comment 7 Kruno 2017-11-14 08:56:16 UTC
(In reply to Drew Henry from comment #6)
> Is it alright if I highjack this report? I am also interested in this topic.
> Currently it seems like there are barely any math/physics words in the
> dictionary and I am struggling to even find out where to go to bring up this
> concern.
> 
> (Examples: phonon, bijection/surjection, Brillouin, cohomology/homology,
> contravariant/covariant, diamagnetism, functor, graphene, graviton,
> ferromagnetism, Hermitian, quaternion, quantization, permittivity, nanotube,
> Laplacian, isomorphism)

Dictionaries have nothing to do with LibreOffice. This report should be closed.

What you need to do is find maintainer of dictionary for your language and report that back to the maintainer.

Even better, what I would do is collect physics and math terminology and then release it on GitHub (or such) as extension that should be used in conjunction the main dictionary. It's not hard at all. Collecting words is hard part.

It's not a good idea to mix commonly used words with highly specialized ones, but if you release your specialized dictionary, others could use it as addition to main dictionary if they are in physics and math.

Fell free to send me an e-mail if you have more questions.